(in-package  :examples)
(use-package :oli)

(sd-defdialog 'am-text-spiegeln
  :dialog-title "Text spiegeln"
  :toolbox-button t
  :variables
  '((Text        :selection *sd-anno-text-seltype*
                 :multiple-items nil
                 :title "Text"
                 :prompt-text ("Text zum spiegeln angeben." 1)
                 :initial-value nil
                 :before-input
                 (progn
                   (setf Text nil)
                 )
    )
    ("-")
    (Waagrecht   :toggle-type :grouped-toggle
                 :title "Waagrecht"
                 :push-action
                 (progn
                   (if Behalten
                     (progn
                       (sd-execute-annotator-command :cmd
                         (format nil "~a ~a ~a ~a"
                           "INQ_SELECTED_ELEM SELECT GLOBAL TEXTS"
                           (sd-get-annotator-position :object Text)
                           "CONFIRM"
                           "MODIFY COPY MIRROR HORIZONTAL (INQ 101) GLOBAL TEXTS (INQ 101) END"
                         )
                       )
                     )
                     (progn
                       (sd-execute-annotator-command :cmd
                         (format nil "~a ~a ~a ~a"
                           "INQ_SELECTED_ELEM SELECT GLOBAL TEXTS"
                           (sd-get-annotator-position :object Text)
                           "CONFIRM"
                           "MODIFY DEL_OLD MIRROR HORIZONTAL (INQ 101) GLOBAL TEXTS (INQ 101) END"
                         )
                       )
                     )
                   )
                 )
    )
    (Senkrecht   :toggle-type :grouped-toggle
                 :push-action
                 (progn
                   (if Behalten
                     (progn
                       (sd-execute-annotator-command :cmd
                         (format nil "~a ~a ~a ~a"
                           "INQ_SELECTED_ELEM SELECT GLOBAL TEXTS"
                           (sd-get-annotator-position :object Text)
                           "CONFIRM"
                           "MODIFY COPY MIRROR VERTICAL (INQ 101) GLOBAL TEXTS (INQ 101) END"
                         )
                       )
                       :next-variable 'ok-action
                     )
                     (progn
                       (sd-execute-annotator-command :cmd
                         (format nil "~a ~a ~a ~a"
                           "INQ_SELECTED_ELEM SELECT GLOBAL TEXTS"
                           (sd-get-annotator-position :object Text)
                           "CONFIRM"
                           "MODIFY DEL_OLD MIRROR VERTICAL (INQ 101) GLOBAL TEXTS (INQ 101) END"
                         )
                       )
                     )
                   )
                 )
    )
    (Behalten    :value-type :boolean
                 :toggle-type :wide-toggle
                 :title "Elemente behalten"
                 :initial-value nil
    )
   )
  :local-functions
  '()
  :ok-action
  '()
  :cancel-action
  '()
)
